import { BlacklistCommand } from "./blacklist";
import { Command } from "./command";
import { DeploySlashCommand } from "./deployslash";
import { GlobalBlacklistCommand } from "./gblacklist";
import { InstructionsCommand } from "./instructions";
import { KillCommand } from "./kill";
import { RandomCaseCommand } from "./randomcase";

export const CommandList: Command[] = [
    new GlobalBlacklistCommand(),
    new BlacklistCommand(),
    new RandomCaseCommand(),
    new KillCommand(),
    new DeploySlashCommand(),
    new InstructionsCommand()
];