import { ApplicationCommandOptionData, ApplicationCommandOptionType, CommandInteraction } from "discord.js"
import { Player } from "../models/player"
import { SlashCommand } from "./slash"
import { CBClient } from "../cbclient"

export class InitCommand implements SlashCommand {
	name = 'init'
    description = 'Adds you as a player'
    permission = []
    ownerOnly = false
    guildOnly = false
    guildID = "739645806100873328" //for testing
    args: ApplicationCommandOptionData[] = []

	async execute(int: CommandInteraction) {
        await CBClient.findOrCreatePlayer(int.user.id);
        
        return int.reply({
            content: "You've been added to the game.",
            ephemeral: true
        })
	}
};
