import { CreationOptional, InferAttributes, InferCreationAttributes, Model } from "sequelize";

export class Player extends Model<InferAttributes<Player>, InferCreationAttributes<Player>> {
    declare readonly user_id: string
    declare start: number
    declare spent: CreationOptional<number>
    declare elo: CreationOptional<number>
    declare slot1: number | null
    declare slot2: number | null
    declare slot3: number | null
}